<template>
  <div class="flex flex-col gap-4 select-none">
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="header-cell"
    >
      <p class="text-2xl">Svn Header Cell</p>
      <svn-header-cell
        sortable
        prepend-icon="material-symbols:light-mode-outline"
        info
      />
      <svn-header-cell
        prepend-icon="material-symbols:light-mode-outline"
        sortable
      />
      <svn-header-cell
        info
      />
      <svn-header-cell />
    </div>
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="avatar-cell"
    >
      <p class="text-2xl">Svn Avatar Cell</p>
      <svn-profile-cell
        firstname="John"
        lastname="Doe"
        email="John.doe@email.com"
      />
      <svn-profile-cell
        firstname="John"
        lastname="Doe"
      />
    </div>
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="tags-cell"
    >
      <p class="text-2xl">Svn Tags Cell</p>
      <div class="max-w-[400px] border">
        <svn-tags-cell
          :tags="tags"
        />
      </div>
      <div class="max-w-[300px] border">
        <svn-tags-cell
          :tags="tags"
        />
      </div>
      <div class="max-w-[200px] border">
        <svn-tags-cell
          :tags="tags"
        />
      </div>
      <div class="max-w-[200px] border">
        <svn-tags-cell
          :tags="tags"
        />
      </div>
    </div>
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="update-cell"
    >
      <p class="text-2xl">Svn Update Cell</p>
      <svn-update-cell
        prepend-text="Olivia Rhye"
        append-text="Olivia Rhye"
      />
      <svn-update-cell
        append-text="Olivia Rhye"
      />
    </div>
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="action-cell"
    >
      <p class="text-2xl">Svn Action Cell</p>
      <svn-action-cell
        :actions="[
          {
            icon: 'material-symbols:circle',
          },
          {
            icon: 'mdi:triangle',
          },
          {
            icon: 'material-symbols:square',
          },
          {
            icon: 'material-symbols:pentagon',
          },
          {
            icon: 'material-symbols:hexagon',
          },
        ]"
      />
    </div>
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="dropdown-cell"
    >
      <p class="text-2xl">Svn Dropdown Cell</p>
      <svn-dropdown-cell
        :items="items"
      />
    </div>
    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="status-cell"
    >
      <p class="text-2xl">Svn Status Cell</p>
      <svn-status-cell
        dot
        success
        text="Status"
      />
    </div>
  </div>
</template>

<script setup>
import SvnHeaderCell from "@/components/table_cell/SvnHeaderCell.vue";
import SvnProfileCell from "@/components/table_cell/SvnProfileCell.vue";
import SvnTagsCell from "@/components/table_cell/SvnTagsCell.vue";
import SvnUpdateCell from "@/components/table_cell/SvnUpdateCell.vue";
import SvnDropdownCell from "@/components/table_cell/SvnDropdownCell.vue";
import SvnStatusCell from "@/components/table_cell/SvnStatusCell.vue";
import SvnActionCell from "@/components/table_cell/SvnActionCell.vue";

const items = [
  { id: 1, title: "button 1"},
  { id: 2, title: "button 2"},
  { id: 3, title: "button 3"},
  { id: 4, title: "button 4"},
]
const tags = [
  "Tag 1",
  "Tag 2",
  "Tag 3",
  "Tag 4",
  "Tag 5",
  "Tag 6",
  "Tag 7",
]

</script>

<style scoped>

</style>